Blob Blame History Raw
--- a/glances/standalone.py	2023-05-17 18:24:21.872808739 +0300
+++ b/glances/standalone.py	2023-05-17 18:24:49.661716352 +0300
@@ -105,9 +105,6 @@
             # Init screen
             self.screen = GlancesCursesStandalone(config=config, args=args)
 
-        # Check the latest Glances version
-        self.outdated = Outdated(config=config, args=args)
-
     @property
     def quiet(self):
         return self._quiet
@@ -186,17 +183,3 @@
 
         # Exit from export modules
         self.stats.end()
-
-        # Check Glances version versus PyPI one
-        if self.outdated.is_outdated():
-            print(
-                "You are using Glances version {}, however version {} is available.".format(
-                    self.outdated.installed_version(), self.outdated.latest_version()
-                )
-            )
-            print("You should consider upgrading using: pip install --upgrade glances")
-            print("Disable this warning temporarily using: glances --disable-check-update")
-            print(
-                "To disable it permanently, refer config reference at "
-                "https://glances.readthedocs.io/en/latest/config.html#syntax"
-            )